## GOComponentFactory

GOComponentFactory

## Synopsis

    enum                GOMimePriority;
                        GOComponentType;
    GSList *            go_components_get_mime_types        (void);
    GOMimePriority      go_components_get_priority          (char const *mime_type);
    void                go_components_add_mime_type         (char *mime,
                                                             GOMimePriority priority,
                                                             char const *service_id);
    char const *        go_components_get_mime_suffix       (char const *mime);
    void                go_components_set_mime_suffix       (char const *mime,
                                                             char const *suffix);
    gboolean            go_components_support_clipboard     (char const *mime_type);

## Description

## Details

### enum GOMimePriority

    typedef enum
    {
    	GO_MIME_PRIORITY_INVALID = -1,
    	GO_MIME_PRIORITY_DISPLAY,
    	GO_MIME_PRIORITY_PRINT,
    	GO_MIME_PRIORITY_PARTIAL,
    	GO_MIME_PRIORITY_FULL,
    	GO_MIME_PRIORITY_NATIVE,
    } GOMimePriority;

### GOComponentType

    typedef struct _GOComponentType GOComponentType;

### go_components_get_mime_types ()

    GSList *            go_components_get_mime_types        (void);

Returns : |

### go_components_get_priority ()

    GOMimePriority      go_components_get_priority          (char const *mime_type);

`mime_type` : |
Returns : |

### go_components_add_mime_type ()

    void                go_components_add_mime_type         (char *mime,
                                                             GOMimePriority priority,
                                                             char const *service_id);

`mime` : |
`priority` : |
`service_id` : |

### go_components_get_mime_suffix ()

    char const *        go_components_get_mime_suffix       (char const *mime);

`mime` : |
Returns : |

### go_components_set_mime_suffix ()

    void                go_components_set_mime_suffix       (char const *mime,
                                                             char const *suffix);

`mime` : |
`suffix` : |

### go_components_support_clipboard ()

    gboolean            go_components_support_clipboard     (char const *mime_type);

`mime_type` : |
Returns : |